import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { D as DetailSectionTitle, a as DetailItem } from './utils.js';
import { i as isEmptyObject } from './utils2.js';

const LegalAddressDetails = /*@__PURE__*/ proxyCustomElement(class LegalAddressDetails extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        var _a, _b, _c, _d, _e, _f, _g;
        if (!this.legalAddress || isEmptyObject(this.legalAddress))
            return null;
        return (h("div", null, h(DetailSectionTitle, { sectionTitle: "Business Legal Address Details" }), h("div", { class: "d-table gap-2 w-100 mt-3" }, h("div", { class: "row gy-3" }, h("div", { class: "col-12 col-md-6" }, h(DetailItem, { title: "Country", value: (_a = this.legalAddress) === null || _a === void 0 ? void 0 : _a.country }), h(DetailItem, { title: "Legal Address", value: (_b = this.legalAddress) === null || _b === void 0 ? void 0 : _b.line1 }), h(DetailItem, { title: "Address Line 2", value: (_c = this.legalAddress) === null || _c === void 0 ? void 0 : _c.line2 })), h("div", { class: "col-12 col-md-6" }, h(DetailItem, { title: "City", value: (_d = this.legalAddress) === null || _d === void 0 ? void 0 : _d.city }), h(DetailItem, { title: "State", value: (_e = this.legalAddress) === null || _e === void 0 ? void 0 : _e.state }), h(DetailItem, { title: "Postal Code", value: (_g = (_f = this.legalAddress) === null || _f === void 0 ? void 0 : _f.postal_code) === null || _g === void 0 ? void 0 : _g.toString() }))))));
    }
}, [256, "legal-address-details", {
        "legalAddress": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["legal-address-details"];
    components.forEach(tagName => { switch (tagName) {
        case "legal-address-details":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LegalAddressDetails);
            }
            break;
    } });
}
defineCustomElement();

export { LegalAddressDetails as L, defineCustomElement as d };
